/*
 * arch/ppc/kernel/ppc83xx_common.c
 *
 * MPC83xx support routines
 *
 * Copyright 2005 DENX Software Engineering
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 */

#include <asm/ocp.h>

/*
 * Update the 834x OCP tables paddr field
 */
void mpc834x_update_ocp(phys_addr_t immrbar)
{
	struct ocp_def *def;

	def = ocp_get_one_device(OCP_VENDOR_MOTOROLA, OCP_FUNC_IIC, 0);
	if (def)
		def->paddr += immrbar;

	def = ocp_get_one_device(OCP_VENDOR_MOTOROLA, OCP_FUNC_16550, 0);
	if (def)
		def->paddr += immrbar;

	def = ocp_get_one_device(OCP_VENDOR_MOTOROLA, OCP_FUNC_16550, 1);
	if (def)
		def->paddr += immrbar;

	def = ocp_get_one_device(OCP_VENDOR_MOTOROLA, OCP_FUNC_GFAR, 0);
	if (def)
		def->paddr += immrbar;

	def = ocp_get_one_device(OCP_VENDOR_MOTOROLA, OCP_FUNC_GFAR, 1);
	if (def)
		def->paddr += immrbar;

	def = ocp_get_one_device(OCP_VENDOR_MOTOROLA, OCP_FUNC_DMA, 0);
	if (def)
		def->paddr += immrbar;

	def = ocp_get_one_device(OCP_VENDOR_MOTOROLA, OCP_FUNC_PERFMON, 0);
	if (def)
		def->paddr += immrbar;
}
