/*
 * NC650 board specific definitions
 * 
 * Copyright (c) 2004, 2005 Wolfgang Denk (wd@denx.de)
 * 
 */

#ifndef __MACH_NC650_H
#define __MACH_NC650_H

#include <linux/config.h>

#include <asm/ppcboot.h>

#define	IMAP_ADDR	0xF0000000	/* physical base address of IMMR area	*/
#define IMAP_SIZE	(64 * 1024)	/* mapped size of IMMR area		*/

#define CPLD_ADDR       0x80000000      /* CPLD-structur */
#define PERI_ADDR       0xA0000000      /* PERI-structur */

#define FEC_INTERRUPT	9		/* SIU_LEVEL4				*/

#define CFG_NAND_PADDR          0x50000000
#define CFG_NAND_SIZE           0x02000000

#define CFG_SRAM_PADDR          0x60000000
#define CFG_SRAM_SIZE           0x00080000

#endif	/* __MACH_NC650_H */
