/*
 * (C) Copyright 2005
 * DENX Software Engineering
 * Wolfgang Denk, wd@denx.de
 * All rights reserved.
 *
 * Based on linux/drivers/char/m41t11.h
 *
 *  Copyright (C) 2000 Russell King
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */
struct rtc_registers {
	volatile unsigned char	control;
	volatile unsigned char	_res0[3];
	volatile unsigned char	secs;
	volatile unsigned char	_res1[3];
	volatile unsigned char	mins;
	volatile unsigned char	_res2[3];
	volatile unsigned char	hours;
	volatile unsigned char	_res3[3];
	volatile unsigned char	wday;
	volatile unsigned char	_res4[3];
	volatile unsigned char	mday;
	volatile unsigned char	_res5[3];
	volatile unsigned char	mon;
	volatile unsigned char	_res6[3];
	volatile unsigned char	year;
	volatile unsigned char	_res7[3];
};

#define RTC_GETDATETIME	0
#define RTC_SETTIME	1
#define RTC_SETDATETIME	2
#define RTC_GETCTRL	3
#define RTC_SETCTRL	4
#define MEM_READ	5
#define MEM_WRITE	6

#define CTRL_STOP	0x80

#define PCI_VENDOR_ID_OX16PCI954  0x1415
#define PCI_DEVICE_ID_OX16PCI954  0x9511
