/*
 * drivers/spi/spi-algo-mpc5xxx.h
 *
 * SPI support for MPC5xxx processors
 *
 * 2003 (c) Wolfgang Denk, DENX Software Engineering, <wd@denx.de>.  This
 * file is licensed under the terms of the GNU General Public License
 * version 2.  This program is licensed "as is" without any warranty of
 * any kind, whether express or implied.
 */
 
#ifndef _SPI_ALGO_MPC5XXX_H_
#define _SPI_ALGO_MPC5XXX_H_

#include <asm/mpc5xxx.h>

int spi_mpc5xxx_add_bus(struct spi_adapter *);
int spi_mpc5xxx_del_bus(struct spi_adapter *);

#endif /* _SPI_ALGO_MPC5XXX_H_ */
