/***********************************************************************
 *
 * (C) Copyright 2006
 * DENX Software Engineering
 * Wolfgang Denk, wd@denx.de
 * All rights reserved.
 *
 ***********************************************************************/

#ifndef __DISPLAY_H
#define __DISPLAY_H 

#ifdef __KERNEL__
#include <linux/ioctl.h>
#else
#include <stdint.h>
#endif

/*
 * Ioctl definitions
 */
#define DISPLAY_MAGIC		'D'

#define DISPLAY_SET_BRIGHTNESS		_IOW (DISPLAY_MAGIC, 0, unsigned int *)
#define DISPLAY_SET_CLEAR		_IOW (DISPLAY_MAGIC, 1, void)

#endif /* __DISPLAY_H */
