/*
 * arch/ppc/platforms/ids8247_setup.c
 *
 * (C) Copyright 2005
 * Heiko Schocher, DENX Software Engineering, <hs@denx.de>
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 * Setuproutines for the IDS8247 Board
 *
 */
#include <linux/kernel.h>
#include <linux/init.h>
#include <linux/irq.h>

#include <asm/byteorder.h>
#include <asm/io.h>
#include <asm/irq.h>
#include <asm/uaccess.h>
#include <asm/machdep.h>
#include <asm/immap_8260.h>

void
ids8247_init_irq(void)
{
	/* make IRQ7 level sensitive */
	((volatile immap_t *) IMAP_ADDR)->im_intctl.ic_siexr &=
		~(1 << (14 - (SIU_INT_IRQ7 - SIU_INT_IRQ1)));

	return;
}
