/*
 * arch/ppc/platforms/mpc83xx_common.h
 *
 * MPC83XX common definitions
 *
 * Copyright 2005 DENX Software Engineering
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 *
 */

#ifndef __MPC83XX_COMMON_H__
#define __MPC83XX_COMMON_H__

#include <linux/config.h>
#include <asm/ppcboot.h>

extern void mpc83xx_restart(char *cmd);
extern void mpc83xx_power_off(void);
extern void mpc83xx_halt(void);
extern void mpc83xx_init_IRQ(void) __init;
extern void mpc83xx_map_io(void) __init;
extern void mpc83xx_calibrate_decr(void) __init;
extern int mpc83xx_show_cpuinfo(struct seq_file *m);
extern long mpc83xx_time_init(void) __init;
extern unsigned long mpc83xx_find_end_of_memory(void) __init;
extern void mpc834x_pcibios_fixup(void);

#endif	/* __MPC83XX_COMMON_H__ */
